"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.highlightCode = void 0;
const node_1 = require("@vuepress/plugin-prismjs/lib/node");
const highlightCode = (md) => {
    md.options.highlight = (code, lang) => {
        const highlighter = (0, node_1.resolveHighlighter)(lang);
        return (highlighter === null || highlighter === void 0 ? void 0 : highlighter(code)) || '';
    };
};
exports.highlightCode = highlightCode;
